@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@700&display=swap');

/** {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-weight: normal;
}*/



.mswp-page-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin:auto;

  
}

select {
    background-color: #e0e0e0;
    border-radius: 10px;

    width: calc(50% - 5px);
    height: 2.5em;
    appearance: none;
    padding: 5px;
    text-align: center;
    margin: 2px 0;

}

select:hover {
    background-color: #ffffff;
    border-color:    #808080 ;
    /*transform: scaleY(1.1);*/

}



.mswp-container {
    /*width: auto;*/
    /* width: 250px;*/
     /*height: 600px;
     
     background-color: #842222;
     display: flex;
     flex-direction: column;
     flex-wrap: wrap;*/

     /*border: 5px solid  #808080;*/
     
     margin-top: 5px;
     margin:auto;
     padding: 10px;

     font-family: Verdana, Geneva, Tahoma, sans-serif;     
 }

 .mswp-field-container {
    /*width: auto;*/
    /* width: 250px;*/
     /*height: 600px;
     
     background-color: #842222;
     display: flex;
     flex-direction: column;
     flex-wrap: wrap;*/
     background-color: #c0c0c0;
     border: 5px solid  #808080;
     
     margin-top: 5px;
     margin:auto;
     padding: 10px;
 
 }
 /* ----------------------  Restart button  -----------------------*/
.mswp-btn {
    width: 40px;
    height: 40px;
    padding: 5px;
    border: 3px solid;
    border-color:   #fff #808080 #808080 #fff;

    background-position: center;
    background-repeat: no-repeat;
    background-size: 30px 30px;
    background-color: #e0e0e0;
    /*border: 1px solid #808080;*/
}
.mswp-btn:hover {
    background-color: #b0b0b0;
    border-color:    #808080 ;
}

.mswp-btn.restart-btn {
   background-image: url(/images/minesweeper/neutral.png);
}

.mswp-btn.restart-btn.show-win {
    background-image: url(/images/minesweeper/win.png);
 }

.mswp-btn.restart-btn.show-lose {
    background-image: url(/images/minesweeper/dead.png);
 }


/*--------------------------  Field header settings ----------------------*/

.mswp-field-header{
    width: 100%;
    min-width: 300px;
   background-color: #c0c0c0;
    
    /*border: 5px solid;*/
    /*border-top: 5px solid;;*/

    /*border-color:  #808080 #fff #fff #808080;*/
    /*border-color:  #808080;*/
    
    /*border: 5px solid black;*/
    /*border: 5px 5px 5px 5px solid black;*/
    color: red;
    font-size: 24px;
    margin: 5px 0 10px;
    padding: 5px 3px;

    display:flex;
    /*
    align-items: center;
    justify-content:stretch;
    */
}

.mswp-header-image {
    height: 20px;
}
.mswp-flex {
    display:flex;
}
.flex-left{
    flex:1;
    display: flex;
    align-items: center;
    
    justify-content: left;

}

.flex-center{
    flex:initial;
    align-items: center;
}

.flex-right {
    flex:1;
    display: flex;

    flex-direction: row-reverse;
    justify-content: right;
    align-items: center;
    /*text-align: right;
    
    align-items: right;
    

    margin-left: auto;*/
}

.timer-display, .mine-count-display {
    padding: 0 5px;
}

/* ----------------------------------   field display   ------------------------ */

.mswp-field {
    /* width and height set from javascript 
    width: 650px;
    height: 650px; */
    background-color: #c0c0c0;
    border: 5px solid;
    border-color:  #808080 #fff #fff #808080;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items:flex-start;
    align-content: flex-start;
    cursor: pointer;

    margin:auto;

    /*disable selection*/
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently */

}

.mswp-field.show-win {
    background-color: #80e480;
}
.mswp-field.show-lose {
    background-color: #e7a0a0;
}

/* ----------------------------------   cell display  ------------------------ */


.mswp-field div {
    width: 40px;
    height: 40px;
    font-family: 'Roboto Mono', monospace;
    font-size: 28px;
    font-weight: 700;
    border: 5px solid;
    border-color: #fff #808080 #808080 #fff;
    /*background-color: #c0c0c0;*/
    /*background-color: #e7a0a0;*/
    
    /*background-color: #80e480;*/
    display: flex;
    align-items: center;
    justify-content: center;
}

.mswp-field.small div {
    width: 24px;
    height: 24px;
    font-size: 16px;
    border: 2px solid;
    border-color: #fff #808080 #808080 #fff;
}

.mswp-field.medium div {
    width: 32px;
    height: 32px;
    font-size: 20px;
    border: 2px solid;
    border-color: #fff #808080 #808080 #fff;
}

.mswp-field .checked, .mswp-field.small .checked, .mswp-field.medium .checked  {
    border: 1px solid #808080;
}
/* ---------------------------  Flag display -----------------------------*/

.mswp-field .flag {
    color: #ff4444;
}
.mswp-field .flag.show-wrong-flag {
    background-color: blueviolet;
}



/*-----------------------------  Mine display  --------------------------------- */
.mswp-field .show-mine {
    font-size: 20px;
    background: url(/images/minesweeper/mine.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 30px 30px;
    background-color: #c0c0c0;
    border: 1px solid #808080;
}

.mswp-field.small .show-mine {
    background-size: 16px 16px;
}

.mswp-field.medium .show-mine {
    background-size: 24px 24px;
}

.mswp-field.show-lose .show-mine{
    background-color: #e7a0a0;
}


/* this only for testing 
.mswp-field .mine {
    background-color: #884444;
}
*/


/*-----  number colors ----*/
.mswp-field .neigh_1 {
    color: #0000ff;
}
.mswp-field .neigh_2 {
    color: #008000;
}
.mswp-field .neigh_3 {
    color: #ff0000;
}
.mswp-field .neigh_4 {
    color: #000080;
}
.mswp-field .neigh_5 {
    color: #800000;
}
.mswp-field .neigh_6 {
    color: #008080;
}
.mswp-field .neigh_7 {
    color: #000000;
}
.mswp-field .neigh_7 {
    color: #808080;
}
